[Aptitude-devel] New dependencies of aptitude

Daniel Burrows dburrows at debian.org
Wed Nov 12 16:28:28 UTC 2008

On Wed, Nov 12, 2008 at 03:04:47PM +0100, Obey Arthur Liu <arthur at milliways.fr> was heard to say:
> Nelson A. de Oliveira a écrit :
> > Hi!
> > 
> > With the new version of aptitude (0.5.0), wouldn't it be nice to have a
> > version that has no dependencies on graphical libraries?
> > My opinion is that aptitude should be the same as it is now (< 0.5.0,
> > without dependencies on libgtk, etc) and that a new package should be
> > created (aptitude-gtk?).
> Hi,
> This is perfectly possible. There's the --disable-gtk ./configure option
> that does that at build-time. In the meantime, you can force the ncurses
> version with "aptitude --no-gui".

  You can also set Aptitude::Start-Gui to "false" in apt.conf or
~/.aptitude/config, if you want a sticky setting, then use --gui when
you want to use it.


More information about the Aptitude-devel mailing list